Skip to content

/api/v1/webhook-subscriptions/{id}/activate

POST
/api/v1/webhook-subscriptions/{id}/activate
curl --request POST \
--url https://example.com/api/v1/webhook-subscriptions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/activate \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

object
id
required
string format: uuid
url
required
string
eventTypes
required
Array<string>
description
required
string
nullable
status
required
string
Allowed values: Active Inactive PendingDelete
secretLastFour
required
string
consecutiveDeadLetters
required
integer format: int32
deactivationReason
required
string
nullable
deactivatedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable